Index: /contrib/Dms/out/out.FolderAccess.php
===================================================================
--- /contrib/Dms/out/out.FolderAccess.php	(revision 3526)
+++ /contrib/Dms/out/out.FolderAccess.php	(revision 4362)
@@ -13,4 +13,5 @@
 
 include("../inc/inc.Authentication.php");
+//
 
 
@@ -26,10 +27,104 @@
 
 $folderid	= (isset($_GET['folderid'])) ? (int) $_GET['folderid'] : NULL;
-$folder		= getFolder($folderid);
-
-$allUsers = getAllUsers();
-
-if ($folder->getAccessMode($user) < M_ALL)
-	die ("Access denied");
+//$folder		= getFolder($folderid);
+
+if(!$folder = getFolder($folderid)) {
+$GLOBALS['phpgw']->redirect_link('out/out.ViewFolder.php?error=accesso denegado!');
+		
+}
+
+if ($folder->getAccessMode($user) < M_READWRITE)
+$GLOBALS['phpgw']->redirect_link('out/out.ViewFolder.php?error=accesso denegado!');
+
+
+//$allUsers = getAllUsers();
+//foreach($allUsers as $c=>$v)
+   //  echo "<p>El vector con indice $c tiene el valor $v </p>";
+     //while (list($clave, $valor) = each($allUsers)) {
+      //echo "<p>El vector con indice $clave tiene el valor $valor </p>";
+     //}
+//asort($allUsers);
+//uasort($allUsers,'ordenar');
+  
+
+
+
+
+$accounts = $GLOBALS['phpgw']->accounts->get_list('accounts'); 
+	$allUsers = array();
+	for ($i = 0; $i < count($accounts); $i++)
+	{
+		$id = $accounts[$i]["account_id"];
+		$login = $accounts[$i]["account_lid"];
+		$fullName = $accounts[$i]['account_firstname'].' '.$accounts[$i]['account_lastname'];
+		$email = $accounts[$i]["account_email"];
+		$isAdmin = phpgw_is_admin($id);
+		$pwd = '';
+		$comment = '';
+		//$myCollection->add($id,$login,$fullName,$email,$isAdmin,$pwd,$comment);
+		$allUsers[$i]=new User($id, $login, $pwd, $fullName, $email, $comment, $isAdmin);
+	}
+//$allUsers->sortDataSet("fullName");
+
+	
+	 function cmpNames($a,$b)
+    {
+        //Use sort() for simple alphabetical comparison
+        //Convert to lowercase to ensure consistent behaviour
+        $sortable = array(strtolower($a->_fullName),strtolower($b->_fullName));
+        $sorted = $sortable;
+        sort($sorted);   
+       
+        //If the names have switched position, return -1. Otherwise, return 1.
+        return ($sorted[0] == $sortable[0]) ? -1 : 1;
+    }
+uasort($allUsers, "cmpNames");
+
+
+//					$allGroups = getAllGroups();
+$phpgw_groups = $GLOBALS['phpgw']->accounts->get_list('groups');
+
+$allGroups= array();
+	
+	
+	for ($i = 0; $i < count($phpgw_groups); $i++)
+		$allGroups[$i] = new Group($phpgw_groups[$i]["account_id"], $phpgw_groups[$i]["account_lid"], '');
+	
+ function cmpNamesg($a,$b)
+    {
+        //Use sort() for simple alphabetical comparison
+        //Convert to lowercase to ensure consistent behaviour
+        $sortable = array(strtolower($a->_name),strtolower($b->_name));
+        $sorted = $sortable;
+        sort($sorted);   
+       
+        //If the names have switched position, return -1. Otherwise, return 1.
+        return ($sorted[0] == $sortable[0]) ? -1 : 1;
+    }
+    
+    uasort($allGroups, "cmpNamesg");
+    
+
+//Sort by name:
+//$myCollection->sortDataSet("fullName");
+//print_r($myCollection->dataSet);
+ //$allUsers[]->sortDataSet("fullName");
+
+//Sort by x
+//$myCollection->sortDataSet("login");
+//print_r($myCollection->dataSet);
+
+//Sort by y
+//$myCollection->sortDataSet("id");
+//print_r($myCollection->dataSet);
+
+//Sort by order added
+//$myCollection->sortDataSet("added");
+//print_r($myCollection->dataSet);
+	
+
+
+//if ($folder->getAccessMode($user) < M_ALL)
+	//die ("Access denied");
 
 
@@ -58,7 +153,8 @@
 printFolderPageStart($folder);
 printPageHeader(getMLText("edit_folder_access") . ": " . $folder->getName());
-
-
-//Nur admin darf Besitzer ändern
+$owner = $folder->getOwner();
+if($user->getID()==1120 ||$owner->getID()==$user->getID()){
+
+//Nur admin darf Besitzer ï¿œndern
 if ($user->isAdmin())
 {
@@ -112,5 +208,7 @@
 }
 
+if($user->getID()==1120 ){
 printMLText("does_not_inherit_access_msg", array("inheriturl" => "../op/op.FolderAccess.php?folderid=".$folderid."&action=inherit"));
+}
 print "</div>";
 
@@ -118,17 +216,8 @@
 $accessList = $folder->getAccessList();
 
-printNextBox(getMLText("default_access"));
-?>
-
-<div class="defaultAccess">
-<form action="../op/op.FolderAccess.php">
-	<input type="Hidden" name="folderid" value="<?php print $folderid;?>">
-	<input type="Hidden" name="action" value="setdefault">
-	
-	<?php printAccessModeSelection($folder->getDefaultAccess()); ?>
-	<p>
-	<input type="Submit">
-</form>
-</div>
+//printNextBox(getMLText("default_access"));
+?>
+
+
 
 <?php
@@ -227,5 +316,4 @@
 				<option value="none">-------------------------------
 				<?php
-					$allGroups = getAllGroups();
 					foreach ($allGroups as $groupObj)
 						print "<option value=\"".$groupObj->getID()."\">" . $groupObj->getName() . "\n";
@@ -251,5 +339,9 @@
 
 printEndBox();
+
+
 printFolderPageEnd($folder);
+
+}
 printHTMLFoot();
 ?>
Index: /contrib/Dms/out/out.AddSubFolder.php
===================================================================
--- /contrib/Dms/out/out.AddSubFolder.php	(revision 3526)
+++ /contrib/Dms/out/out.AddSubFolder.php	(revision 4362)
@@ -18,9 +18,14 @@
 
 $folderid = (isset($_GET['folderid'])) ? (int) $_GET['folderid'] : 1;
-$folder = getFolder($folderid);
 
+//echo "<br>folderid".$folderid;
+//$folder = getFolder($folderid);
+if(!$folder = getFolder($folderid)) {
+$GLOBALS['phpgw']->redirect_link('out/out.ViewFolder.php?error=accesso denegado!');
+		
+}
 
 if ($folder->getAccessMode($user) < M_READWRITE)
-	die("accesso denegado");
+$GLOBALS['phpgw']->redirect_link('out/out.ViewFolder.php?error=accesso denegado!');
 
 
Index: /contrib/Dms/out/out.FolderNotify.php
===================================================================
--- /contrib/Dms/out/out.FolderNotify.php	(revision 3526)
+++ /contrib/Dms/out/out.FolderNotify.php	(revision 4362)
@@ -15,10 +15,19 @@
 
 $folderid = (isset($_GET['folderid'])) ? (int) $_GET['folderid'] : 1;
-$folder = getFolder($folderid);
+//$folder = getFolder($folderid);
+
+if(!$folder = getFolder($folderid)) {
+$GLOBALS['phpgw']->redirect_link('out/out.ViewFolder.php?error=accesso denegado!');
+		
+}
+
+if ($folder->getAccessMode($user) < M_READWRITE)
+$GLOBALS['phpgw']->redirect_link('out/out.ViewFolder.php?error=accesso denegado!');
+
 
 $notifyList = $folder->getNotifyList();
 
-if ($folder->getAccessMode($user) < M_READWRITE)
-	die ("Access denied");
+//if ($folder->getAccessMode($user) < M_READWRITE)
+	//die ("Access denied");
 
 
Index: /contrib/Dms/out/out.ViewFolder.php
===================================================================
--- /contrib/Dms/out/out.ViewFolder.php	(revision 3526)
+++ /contrib/Dms/out/out.ViewFolder.php	(revision 4362)
@@ -1,3 +1,6 @@
 <?php
+
+
+
 include("../inc/inc.Settings.php");
 include("../inc/inc.AccessUtils.php");
@@ -14,16 +17,35 @@
 
 include("../inc/inc.Authentication.php");
+//include("../../phpgwapi/inc/class.accounts_ldap.inc.php");
+
+
+
+//echo"<br>".;
+//read_repository2($GLOBALS['phpgw_info']['user']['account_id']);
+
+
+$acceso=0;
 
 $folderid = (isset($_GET['folderid'])) ? (int) $_GET['folderid'] : 1;
+
+//echo "<br>a".$folderid."  b  ".$_GET['folderid']."<br>";
+
 if(!$folder = getFolder($folderid)) {
 	//die ("Accesso denegado!".$folderid."  ".getFolder($folderid));
-
+$acceso=0;
 $GLOBALS['phpgw']->redirect_link('out/out.ViewFolder.php?error=accesso denegado!');
 
+}else{
+	$acceso=1;
 }
+
+//echo $folder->getAccessMode();
 
 if ($folder->getAccessMode($user) < M_READ) {
 	//die ("accesso denegado!"."  ".$folder->getAccessMode($user));
+	$acceso=0;
 $GLOBALS['phpgw']->redirect_link('out/out.ViewFolder.php?error=accesso denegado!');
+}else{
+	$acceso=1;
 }
 
@@ -68,5 +90,8 @@
         </table>
 
-
+<?php
+//echo "acccceso".$acceso;
+	  if (isset($_GET['folderid'])||$_GET['folderid']>1){
+?>
 
 
@@ -93,16 +118,20 @@
 			<td colspan="2" height="8" class="textSidebox">&nbsp;</td>
 		</tr>
-		<tr class="divSideboxEntry">
+	<!--  	<tr class="divSideboxEntry">
 			<td width="20" align="center" valign="middle" class="textSidebox"><img class="sideboxstar" src="<?php echo  $GLOBALS['phpgw_info']['server']['webserver_url']?>/phpgwapi/templates/idots/images/orange-ball.png" width="9" height="9" alt="ball"/></td><td class="textSidebox"><a class="textSidebox" href="<?php echo  $GLOBALS['phpgw_info']['server']['webserver_url'];?>/mydms/out/out.FolderNotify.php?folderid=<?php echo $folderid;?>">notificaciones</a></td>
-		</tr>
+		</tr> -->
 		<tr class="divSideboxEntry">
 			<td width="20" align="center" valign="middle" class="textSidebox"><img class="sideboxstar" src="<?php echo  $GLOBALS['phpgw_info']['server']['webserver_url']?>/phpgwapi/templates/idots/images/orange-ball.png" width="9" height="9" alt="ball"/></td><td class="textSidebox"><a class="textSidebox" href="<?php echo  $GLOBALS['phpgw_info']['server']['webserver_url'];?>/mydms/out/out.FolderAccess.php?folderid=<?php echo $folderid;?>">derechos de acceso</a></td>
 
 		</tr>
+		
+		<?php }?>
 		</table>	
 	<table cellspacing="5" cellpadding="0" border="0">
 	<?php
+	  if($acceso>0){
 		$documents = $folder->getDocuments();
-		$documents = filterAccess($documents, $user, M_READ);
+		//echo "user".$user;
+		//$documents = filterAccess($documents, $user, M_READ);
 		if (count($documents) > 0)
 		{
@@ -149,4 +178,5 @@
 			print "<tr><td class=\"filelist\">".getMLText("no_documents")."</td></tr>";
 		}
+	  }
 	?>
 	</table>
Index: /contrib/Dms/out/out.ViewDocument.php
===================================================================
--- /contrib/Dms/out/out.ViewDocument.php	(revision 3526)
+++ /contrib/Dms/out/out.ViewDocument.php	(revision 4362)
@@ -19,4 +19,11 @@
 $document = getDocument($documentid);
 $folder = $document->getFolder();
+//echo $folder. "folder id<br>";
+//echo $document. "doc id<br>";
+//echo $documentid. "documentidid<br>";
+//echo $user. "user<br>";
+
+
+
 
 if ($document->getAccessMode($user) < M_READ)
Index: /contrib/Dms/out/out.EditFolder.php
===================================================================
--- /contrib/Dms/out/out.EditFolder.php	(revision 3526)
+++ /contrib/Dms/out/out.EditFolder.php	(revision 4362)
@@ -15,10 +15,19 @@
 
 $folderid = (isset($_GET['folderid'])) ? (int) $_GET['folderid'] : 1;
-$folder = getFolder($folderid);
+//$folder = getFolder($folderid);
+
+
+if(!$folder = getFolder($folderid)) {
+$GLOBALS['phpgw']->redirect_link('out/out.ViewFolder.php?error=accesso denegado!');
+		
+}
+
+if ($folder->getAccessMode($user) < M_READWRITE)
+$GLOBALS['phpgw']->redirect_link('out/out.ViewFolder.php?error=accesso denegado!');
 
 $parent = ($folder->getID() == $settings->_rootFolderID) ? false : $folder->getParent();
 
-if ($folder->getAccessMode($user) < M_READWRITE)
-	die ("Access denied");
+//if ($folder->getAccessMode($user) < M_READWRITE)
+	//die ("Access denied");
 
 
Index: /contrib/Dms/out/out.AddDocument.php
===================================================================
--- /contrib/Dms/out/out.AddDocument.php	(revision 3526)
+++ /contrib/Dms/out/out.AddDocument.php	(revision 4362)
@@ -15,8 +15,17 @@
 
 $folderid = (isset($_GET['folderid'])) ? (int) $_GET['folderid'] : 1;
-$folder = getFolder($folderid);
+//$folder = getFolder($folderid);
+
+//if ($folder->getAccessMode($user) < M_READWRITE)
+	//die("access denied");
+	
+if(!$folder = getFolder($folderid)) {
+$GLOBALS['phpgw']->redirect_link('out/out.ViewFolder.php?error=accesso denegado!');
+		
+}
 
 if ($folder->getAccessMode($user) < M_READWRITE)
-	die("access denied");
+$GLOBALS['phpgw']->redirect_link('out/out.ViewFolder.php?error=accesso denegado!');
+
 
 printHTMLHead( getMLText("folder_title", array("foldername" => $folder->getName()) ) );
@@ -48,4 +57,8 @@
 printStartBox(getMLText("add_document"));
 ?>
+
+<font color="red"><b>NOTA:</b> El documento hereda el permiso correspondiente de la carpeta que lo contiene </font><br></br>
+
+
 
 <form action="../op/op.AddDocument.php" enctype="multipart/form-data" method="post" name="form1" onsubmit="return checkForm();">
Index: /contrib/Dms/inc/inc.ClassGroup.php
===================================================================
--- /contrib/Dms/inc/inc.ClassGroup.php	(revision 3526)
+++ /contrib/Dms/inc/inc.ClassGroup.php	(revision 4362)
@@ -10,5 +10,5 @@
 	
 	$name = $GLOBALS['phpgw']->accounts->id2name($id);
-	
+//	echo" el grupo es".$name."   ".$id."<br>";
 	return new Group($id, $name, '');
 }
@@ -144,4 +144,7 @@
 	{
 		//Wenn die User bereits abgefragt wurden, geht's so schneller:
+		
+		//echo "usuariooooo".$user->getID()."<br>";
+		
 		if (isset($this->_users))
 		{
@@ -154,15 +157,19 @@
 		
 		$members = $GLOBALS['phpgw']->accounts->member((int)$this->_id);
+	
                 $phpgw_group_member = array();
 
                 if (is_array($members))
                 {
-                        foreach($members as $member)
+                     /*   foreach($members as $member)
                         {
                                 if(!in_array($member['account_id'],$phpgw_group_member))
                                 {
                                         $phpgw_group_member[] = $member['account_id'];
-                                }
-                        }
+                                        //echo "grupomiembro".$member['account_id']."   ".$this->_id."<br>";
+                                }//else{
+                                	//echo "<br>arrreglo<br>".$member['account_id']."   ".$phpgw_group_member->id."<br>";
+                                //}
+                        }*/
                 }
 						
@@ -177,4 +184,7 @@
 
 	}
+	
+
+	
 
 	/**
Index: /contrib/Dms/inc/inc.ClassMultisort.php
===================================================================
--- /contrib/Dms/inc/inc.ClassMultisort.php	(revision 4362)
+++ /contrib/Dms/inc/inc.ClassMultisort.php	(revision 4362)
@@ -0,0 +1,119 @@
+<?php
+class dataItem
+{
+    var $name;
+    var $id;
+    var $login;
+    var $fullName;
+    var $email;
+    var $isAdmin;
+    var $pwd;
+    var $comment;
+    
+    
+    
+   
+    //Constructor
+    function dataItem($id,$login,$fullName,$email,$isAdmin,$pwd,$comment)
+    {
+        $this->id = $id;
+        $this->login = $login;
+        $this->fullName = $fullName;
+        $this->email = $email;
+        $this->isAdmin = $isAdmin;
+        $this->pwd = $pwd;
+        $this->comment = $comment;
+    }
+    
+    
+    function getID() { return $this->id; }
+
+	function getLogin() { return $this->login; }
+	
+	function getFullName() { return $this->fullName; }
+	function getPwd() { return $this->pwd; }
+		
+	function getEmail() { return $this->email; }
+		
+			
+	function getComment() { return $this->comment; }
+	function getIsAdmin() { return $this->isAdmin; }
+				
+    
+    
+}
+
+class collection
+{
+    var $dataSet = array();
+   
+    //Creates a new data item and adds it to our array
+    function add($id,$login,$fullName,$email,$isAdmin,$pwd,$comment)
+    {
+        $this->dataSet[] = new dataItem($id,$login,$fullName,$email,$isAdmin,$pwd,$comment);
+    }
+   
+    //The wrapper sort function
+    function sortDataSet($s)
+    {
+        //Sort by the given parameter
+        switch($s)
+        {
+            case "fullName":
+                //Note use of array to reference member method of this object in callback
+                uasort($this->dataSet,array($this,"cmpName"));
+                break;
+           
+            case "login":
+                uasort($this->dataSet,array($this,"cmpX"));
+                break;
+               
+            case "id":
+                uasort($this->dataSet,array($this,"cmpY"));
+                break;               
+           
+            case "added":
+            default:
+                //Re-sort array by original keys
+                ksort($this->dataSet);       
+        }
+    }
+
+    //Callback function for sorting by name
+    //$a and $b are dataItem objects
+    function cmpName($a,$b)
+    {
+        //Use sort() for simple alphabetical comparison
+        //Convert to lowercase to ensure consistent behaviour
+        $sortable = array(strtolower($a->fullName),strtolower($b->fullName));
+        $sorted = $sortable;
+        sort($sorted);   
+       
+        //If the names have switched position, return -1. Otherwise, return 1.
+        return ($sorted[0] == $sortable[0]) ? -1 : 1;
+    }
+   
+    //Callback function for sorting by x
+    //$a and $b are dataItem objects
+    function cmpX($a,$b)
+    {
+        //Use sort() for simple alphabetical comparison
+        //Convert to lowercase to ensure consistent behaviour
+        $sortable = array(strtolower($a->x),strtolower($b->x));
+        $sorted = $sortable;
+        sort($sorted);   
+       
+        //If the names have switched position, return -1. Otherwise, return 1.
+        return ($sorted[0] == $sortable[0]) ? -1 : 1;
+    }
+   
+    //Callback function for sorting by y
+    //$a and $b are dataItem objects
+    function cmpY($a,$b)
+    {       
+        //If $a's y attribute >= $b's y attribute, return 1. Otherwise, return -1.
+        return ($a->y >= $b->y) ? 1 : -1;
+    }   
+
+}
+?>
Index: /contrib/Dms/inc/class.uimydms.inc.php
===================================================================
--- /contrib/Dms/inc/class.uimydms.inc.php	(revision 3526)
+++ /contrib/Dms/inc/class.uimydms.inc.php	(revision 4362)
@@ -13,5 +13,5 @@
 	
 	/* $Id: class.uimydms.inc.php 22794 2006-11-06 05:53:11Z lkneschke $ */
-
+define('PHPGW_SERVER_ROOT','/var/www/expresso');
 	require_once(PHPGW_SERVER_ROOT.'/mydms/inc/inc.Settings.php');
 	require_once(PHPGW_SERVER_ROOT.'/mydms/inc/inc.DBAccess.php');
@@ -759,5 +759,5 @@
 			$this->t->set_var('lang_comment',lang('comment'));
 			$this->t->set_var('lang_keywords',lang('keywords'));
-			$this->t->set_var('lang_download',lang('download'));
+			$this->t->set_var('lang_download',lang('Descargar Archivo'));
 			$this->t->set_var('lang_last_update',lang('last update'));
 			$this->t->set_var('lang_current_version',lang('current version'));
@@ -776,5 +776,5 @@
 			$this->t->set_var('lang_delete',lang('delete'));
 			$this->t->set_var('lang_view_online',lang('view online'));
-			$this->t->set_var('lang_confirm_delete',lang('Do you really want to delete this document?'));
+			$this->t->set_var('lang_confirm_delete',lang('Relmente quiere borrar el documento?'));
 			$this->t->set_var('lang_update_document',lang('update document'));
 			$this->t->set_var('lang_update',lang('update'));
@@ -865,9 +865,12 @@
 		{
 			$documentID = ($_documentID === false ? (int)$_GET['documentid'] : $_documentID);
-
+			
+			//echo "documento".$documentID;
 			if(!$document	= getDocument($documentID))
 			{
 				print "Access denied!"; exit;
 			}
+		
+
 			$user 		= getUser($GLOBALS['phpgw_info']['user']['account_id']);
 			$accessMode	= $document->getAccessMode($user);
